Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class NodeCollection<T extends Node>

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.NodeCollection<T>

Type Parameters:
  `T` - the type of contained node

    public class NodeCollection<T extends Node>

extends JavaScriptObject

An ElementCollection is a list of nodes. An individual node may be accessed by either ordinal index or the node's name or id attributes. Note: Collections in the HTML DOM are assumed to be live meaning that they are automatically updated when the underlying document is changed.

Constructor Summary
`protected` | `NodeCollection()`

Method Summary
`T` | `getItem(int index)` This method retrieves a node specified by ordinal index.
`int` | `getLength()` This attribute specifies the length or size of the list.
`T` | `getNamedItem(java.lang.String name)` This method retrieves a Node using a name.

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeCollection

    protected NodeCollection()

Method Detail

### getItem

    public final T getItem(int index)

  This method retrieves a node specified by ordinal index. Nodes are numbered in tree order (depth-first traversal order).

  Parameters:
    `index` - The index of the node to be fetched. The index origin is 0.
  Returns:
    The element at the corresponding position upon success. A value of null is returned if the index is out of range.

### getLength

    public final int getLength()

  This attribute specifies the length or size of the list.

### getNamedItem

    public final T getNamedItem(java.lang.String name)

  This method retrieves a Node using a name. With [HTML 4.01] documents, it first searches for a Node with a matching id attribute. If it doesn't find one, it then searches for a Node with a matching name attribute, but only on those elements that are allowed a name attribute. With [XHTML 1.0] documents, this method only searches for Nodes with a matching id attribute. This method is case insensitive in HTML documents and case sensitive in XHTML documents.

  Parameters:
    `name` - The name of the Node to be fetched.
  Returns:
    The element with a name or id attribute whose value corresponds to the specified string. Upon failure (e.g., no element with this name exists), returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD